Bug 1010201 - [Windows Guest Tools] non-ascii username is not displayed correctly
[Windows Guest Tools] non-ascii username is not displayed correctly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-guest-agent (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.5.0
Assigned To: Vinzenz Feenstra [evilissimo]
Jiri Belka
virt
:
Depends On:
Blocks: rhev3.5beta3
  Show dependency treegraph
 
Reported: 2013-09-20 04:38 EDT by Jiri Belka
Modified: 2015-02-17 03:30 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously usernames of Windows users with non-ascii characters in their user name were not presented correctly in the RHEV-M user interface. This issue has now been resolved and is available with the 3.5 release or RHEV-M.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 03:30:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm.log (814.67 KB, application/x-tar)
2013-09-20 04:38 EDT, Jiri Belka
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 31535 master MERGED Fix username handling on Windows Never
oVirt gerrit 31537 ovirt-3.5 MERGED Fix username handling on Windows Never

  None (edit)
Description Jiri Belka 2013-09-20 04:38:03 EDT
Created attachment 800352 [details]
vdsm.log

Description of problem:
Not sure it this is agent or vdsm bug.

3.2.15:

- non-ascii username of logged user into guest OS (W7 64bit) is reported incorrectly (Živáčková@w7-x64 vs u'\xc5\xbdiv\xc3\xa1\xc4\ufffdkov\xc3\xa1@jb-w7-x64' which is ŽiváÄ�ková@jb-w7-x64 in both Admin Portal and vdsClient)

VM Channels Listener::DEBUG::2013-09-20 10:35:40,801::guestIF::208::vm.Vm::(_handleMessage) vmId=`cb8b1462-3cb6-4bf0-b7e4-28be5702b6ac`::username: u'\xc5\xbdiv\xc3\xa1\xc4\ufffdkov\xc3\xa1@jb-w7-x64'

See https://bugzilla.redhat.com/show_bug.cgi?id=998484#c13

Version-Release number of selected component (if applicable):
ga: 3.2.15
vdsm: vdsm-4.10.2-25.1.el6ev.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Windows 7 64bit with user 'Živáčková'
2. install tools, logged in as the user above
3. vdsClient and engine's Session subtab for the VM

Actual results:
mangled username

Expected results:
Živáčková visible in Session and vdsClient

Additional info:
https://bugzilla.redhat.com/show_bug.cgi?id=998484#c13
Comment 1 Jiri Belka 2013-09-20 04:39:00 EDT
I had English Windows.
Comment 7 Jiri Belka 2014-10-29 07:22:02 EDT
ok, 3.5.6

# select vm_fqdn,console_cur_user_name from vm_dynamic where vm_guid = 'cb8b1462-3cb6-4bf0-b7e4-28be5702b6ac';
                     vm_fqdn                      |              console_cur_user_name               
--------------------------------------------------+--------------------------------------------------
 jb-w7-x64.ad-w2k12r2.rhev.lab.eng.brq.redhat.com | živáčková@ad-w2k12r2.rhev.lab.eng.brq.redhat.com
(1 row)
Comment 8 Omer Frenkel 2015-02-17 03:30:09 EST
RHEV-M 3.5.0 has been released

Note You need to log in before you can comment on or make changes to this bug.